play.mvc

## Class Router.Route

- java.lang.Object
- - play.mvc.Router.Route

- Enclosing class:
    Router

      public static class Router.Route
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `action` FIXME - what is this?
    `java.lang.String` | `method` HTTP method, e.g.
    `java.lang.String` | `path`
    `java.lang.String` | `routesFile`
    `int` | `routesFileLine`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Route()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFormat(java.lang.String params)`
    `void` | `addParams(java.lang.String params)`
    `void` | `compute()`
    `java.util.Map<java.lang.String,java.lang.String>` | `matches(java.lang.String method, java.lang.String path)`
    `java.util.Map<java.lang.String,java.lang.String>` | `matches(java.lang.String method, java.lang.String path, java.lang.String accept)`
    `java.util.Map<java.lang.String,java.lang.String>` | `matches(java.lang.String method, java.lang.String path, java.lang.String accept, java.lang.String domain)` Check if the parts of a HTTP request equal this Route.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### method

          public java.lang.String method

      HTTP method, e.g. "GET".

    - #### path

          public java.lang.String path

    - #### action

          public java.lang.String action

      FIXME - what is this?

    - #### routesFileLine

          public int routesFileLine

    - #### routesFile

          public java.lang.String routesFile

  - ### Constructor Detail

    - #### Route

          public Route()

  - ### Method Detail

    - #### compute

          public void compute()

    - #### addParams

          public void addParams(java.lang.String params)

    - #### addFormat

          public void addFormat(java.lang.String params)

    - #### matches

          public java.util.Map<java.lang.String,java.lang.String> matches(java.lang.String method,
                                                                          java.lang.String path)

    - #### matches

          public java.util.Map<java.lang.String,java.lang.String> matches(java.lang.String method,
                                                                          java.lang.String path,
                                                                          java.lang.String accept)

    - #### matches

          public java.util.Map<java.lang.String,java.lang.String> matches(java.lang.String method,
                                                                          java.lang.String path,
                                                                          java.lang.String accept,
                                                                          java.lang.String domain)

      Check if the parts of a HTTP request equal this Route.
      Parameters:
        `method` - GET/POST/etc.
        `path` - Part after domain and before query-string. Starts with a "/".
        `accept` - Format, e.g. html.
        `domain` - The domain (host without port).
      Returns:
        ???

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly